--- old/usr/src/uts/common/fs/sockfs/socksyscalls.c	Fri Jun  5 08:01:06 2015
+++ new/usr/src/uts/common/fs/sockfs/socksyscalls.c	Fri Jun  5 08:01:06 2015
@@ -24,6 +24,9 @@
  */
 
 /* Copyright (c) 2013, OmniTI Computer Consulting, Inc. All rights reserved. */
+/*
+ * Copyright 2015 Nexenta Systems, Inc. All rights reserved.
+ */
 
 #include <sys/types.h>
 #include <sys/t_lock.h>
@@ -1862,6 +1865,9 @@
 	case SOCKCONFIG_REMOVE_FILTER:
 		error = sockconfig_remove_filter((const char *)arg1);
 		break;
+	case SOCKCONFIG_GET_SOCKTABLE:
+		error = sockparams_copyout_socktable((int)(uintptr_t)arg1);
+		break;
 	default:
 #ifdef	DEBUG
 		cmn_err(CE_NOTE, "sockconfig: unkonwn subcommand %d", cmd);
